
Redmine - Defect #30370

No validation when adding watcher who is not in this project

2019-01-10 10:19 - Alex Tim

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

1. No validation when adding watcher who is not in this project

2. When adding watcher to several issues from different projects, all users are displayed and can be added.

Related issues:

Related to Redmine - Feature #5159: Ability to add Non-Member watchers to the... Closed 2010-03-23

Related to Redmine - Patch #16133: Available watchers on new issue form inclu... Closed

History

#1 - 2019-01-23 01:55 - Go MAEDA

- Related to Feature #5159: Ability to add Non-Member watchers to the watch list added

#2 - 2019-01-23 01:56 - Go MAEDA

- Related to Patch #16133: Available watchers on new issue form include users who cannot even view issues added

#3 - 2019-01-23 02:03 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

It is intended behavior. Please see #5159 for the detail.

But I think a user who has no permission to see the issue should not be added as a watcher. This is being discussed in #16133.

Files

2.png 17.9 KB 2019-01-10 Alex Tim

1.png 54 KB 2019-01-10 Alex Tim

3.png 5.4 KB 2019-01-10 Alex Tim

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

https://www.redmine.org/issues/5159
https://www.redmine.org/issues/16133
http://www.tcpdf.org

